# Fn<> DefaultOverflowImplicit
The default overflow strategy for implicit resize.

Defined in | <seqan/sequence.h>
Signature | `DefaultOverflowImplicit<T>::Type;`

## Template Parameters

`T` | The type to get the default overflow tag for.

## Return Values

`Type` | The default overflow tag. The default implementation returns `Generous`.

## Detailed Description

This function is used for functions that cause an implicit change of a container's size, like e.g. through assign, append and replace.

#### Dox Sources

    /*!
     * @mfn DefaultOverflowImplicit
     *
     * @headerfile <seqan/sequence.h>
     *
     * @brief The default overflow strategy for implicit resize.
     *
     * @signature DefaultOverflowImplicit<T>::Type;
     *
     * @tparam T The type to get the default overflow tag for.
     *
     * @return Type The default overflow tag. The default implementation returns
     *              <tt>Generous</tt>.
     *
     * This function is used for functions that cause an implicit change of a
     * container's size, like e.g. through @link AssignableConcept#assign @endlink,
     * @link ContainerConcept#append @endlink and @link StringConcept#replace
     * @endlink.
     */